import { InnerBlocks, useBlockProps } from "@wordpress/block-editor";
import './style.scss';
const Save = ({ attributes }) => {
  let {mediaAlt,mediaId,mediaUrl,cardVariant} = attributes;
  const blockProps = useBlockProps.save();
  return (
    <div {...blockProps}>
      <article className={`ucla-card${cardVariant === 'info' ? " ucla-card__info" : ""}`}>
        {cardVariant === "default" && mediaId &&
          <img src={mediaUrl} alt={mediaAlt && mediaAlt} className={`ucla-card__image wp-image-${mediaId}`} />
        }
        <div className="ucla-card__body">
          <InnerBlocks.Content />
        </div>
      </article>
    </div>
  );
}
export default Save;