import { useBlockProps, useInnerBlocksProps } from "@wordpress/block-editor";

const Save = ({ attributes }) => {
  let { perPage, perPageTablet, perPageMobile, ariaLabel } = attributes;
  const blockProps = useBlockProps.save();
  const innerBlocksProps = useInnerBlocksProps.save(blockProps)
  return (
    <div {...innerBlocksProps}>
      <section
        className="ucla-carousel splide"
        role="group"
        aria-label={ariaLabel}
        data-per-page={perPageMobile ? perPageMobile : perPage}
        data-per-page-md={perPageTablet ? perPageTablet : perPage}
        data-per-page-lg={perPage}
      >
        <div className="splide__track">
          <ul className="splide__list">
            {innerBlocksProps.children}
          </ul>
        </div>
      </section>
    </div>
  );
};
export default Save;
