import { __ } from "@wordpress/i18n";
import { PanelBody, SelectControl, ColorPalette } from "@wordpress/components";
import { useState } from "@wordpress/element";
import { InspectorControls, useBlockProps, useSetting } from "@wordpress/block-editor";
import {
  Icon,
  menu,
  close,
  search,
  chevronUp,
  chevronDown,
  chevronLeft,
  chevronRight,
  chevronsLeft,
  chevronsRight,
  arrowUp,
  arrowDown,
  arrowRight,
  arrowLeft,
  chat,
  comment,
  envelope,
  location,
  userCircle,
  user,
  videoCamera,
  check,
  closeCircle,
  copy,
  download,
  imageGallery,
  image,
  linkExternal,
  minus,
  pauseCircle,
  playCircle,
  plus,
  sort,
  sunny,
  cloudy,
  partlyCloudy,
  fog,
  windy,
  rain,
  thunderstorm,
  moon,
  fullMoon,
  calendar,
  clock,
  error,
  information,
  success,
  warning,
} from "./library/index";
const Edit = ({ attributes, setAttributes }) => {
  let { icon, iconColor } = attributes;
  const [color, setColor] = useState(iconColor);
  const colors = useSetting('color.palette') || [];
  const blockProps = useBlockProps();
  const onIconChange = (variant) => {
    setAttributes({ icon: variant });
  };
  const onColorChange = (color) => {
    setAttributes({iconColor: color})
    setColor(color)
  }
  const iconSelectOption = [
    {
      label: __("Menu", "ucla-wordpress-plugin"),
      value: "menu",
    },
    {
      label: __("Close", "ucla-wordpress-plugin"),
      value: "close",
    },
    {
      label: __("Close Circle", "ucla-wordpress-plugin"),
      value: "closeCircle",
    },
    {
      label: __("Search", "ucla-wordpress-plugin"),
      value: "search",
    },
    {
      label: __("Chevron Up", "ucla-wordpress-plugin"),
      value: "chevronUp",
    },
    {
      label: __("Chevron Down", "ucla-wordpress-plugin"),
      value: "chevronDown",
    },
    {
      label: __("Chevron Left", "ucla-wordpress-plugin"),
      value: "chevronLeft",
    },
    {
      label: __("Chevron Right", "ucla-wordpress-plugin"),
      value: "chevronRight",
    },
    {
      label: __("Double Chevron Left", "ucla-wordpress-plugin"),
      value: "chevronsLeft",
    },
    {
      label: __("Double Chevron Right", "ucla-wordpress-plugin"),
      value: "chevronsRight",
    },
    {
      label: __("Arrow Up", "ucla-wordpress-plugin"),
      value: "arrowUp",
    },
    {
      label: __("Arrow Down", "ucla-wordpress-plugin"),
      value: "arrowDown",
    },
    {
      label: __("Arrow Left", "ucla-wordpress-plugin"),
      value: "arrowLeft",
    },
    {
      label: __("Arrow Right", "ucla-wordpress-plugin"),
      value: "arrowRight",
    },
    {
      label: __("Chat", "ucla-wordpress-plugin"),
      value: "chat",
    },
    {
      label: __("Comment", "ucla-wordpress-plugin"),
      value: "comment",
    },
    {
      label: __("Envelope", "ucla-wordpress-plugin"),
      value: "envelope",
    },
    {
      label: __("Location", "ucla-wordpress-plugin"),
      value: "location",
    },
    {
      label: __("User Circle", "ucla-wordpress-plugin"),
      value: "userCircle",
    },
    {
      label: __("User", "ucla-wordpress-plugin"),
      value: "user",
    },
    {
      label: __("Video Camera", "ucla-wordpress-plugin"),
      value: "videoCamera",
    },
    {
      label: __("Check", "ucla-wordpress-plugin"),
      value: "check",
    },
    {
      label: __("Copy", "ucla-wordpress-plugin"),
      value: "copy",
    },
    {
      label: __("Download", "ucla-wordpress-plugin"),
      value: "download",
    },
    {
      label: __("Image", "ucla-wordpress-plugin"),
      value: "image",
    },
    {
      label: __("Image Gallery", "ucla-wordpress-plugin"),
      value: "imageGallery",
    },
    {
      label: __("External Link", "ucla-wordpress-plugin"),
      value: "linkExternal",
    },
    {
      label: __("Minus", "ucla-wordpress-plugin"),
      value: "minus",
    },
    {
      label: __("Plus", "ucla-wordpress-plugin"),
      value: "plus",
    },
    {
      label: __("Pause Circle", "ucla-wordpress-plugin"),
      value: "pauseCircle",
    },
    {
      label: __("Play Circle", "ucla-wordpress-plugin"),
      value: "playCircle",
    },
    {
      label: __("Sort", "ucla-wordpress-plugin"),
      value: "sort",
    },
    {
      label: __("Sunny", "ucla-wordpress-plugin"),
      value: "sunny",
    },
    {
      label: __("Cloudy", "ucla-wordpress-plugin"),
      value: "cloudy",
    },
    {
      label: __("Partly Cloudy", "ucla-wordpress-plugin"),
      value: "partlyCloudy",
    },
    {
      label: __("Fog", "ucla-wordpress-plugin"),
      value: "fog",
    },
    {
      label: __("Windy", "ucla-wordpress-plugin"),
      value: "windy",
    },
    {
      label: __("Rain", "ucla-wordpress-plugin"),
      value: "rain",
    },
    {
      label: __("Thunderstorm", "ucla-wordpress-plugin"),
      value: "thunderstorm",
    },
    {
      label: __("Moon", "ucla-wordpress-plugin"),
      value: "moon",
    },
    {
      label: __("Full Moon", "ucla-wordpress-plugin"),
      value: "fullMoon",
    },
    {
      label: __("Calendar", "ucla-wordpress-plugin"),
      value: "calendar",
    },
    {
      label: __("Clock", "ucla-wordpress-plugin"),
      value: "clock",
    },
    {
      label: __("Error", "ucla-wordpress-plugin"),
      value: "error",
    },
    {
      label: __("Information", "ucla-wordpress-plugin"),
      value: "information",
    },
    {
      label: __("Success", "ucla-wordpress-plugin"),
      value: "success",
    },
    {
      label: __("Warning", "ucla-wordpress-plugin"),
      value: "warning",
    },
  ];
  let iconObj = {
    menu,
    close,
    search,
    chevronUp,
    chevronDown,
    chevronLeft,
    chevronRight,
    chevronsLeft,
    chevronsRight,
    arrowUp,
    arrowDown,
    arrowRight,
    arrowLeft,
    chat,
    comment,
    envelope,
    location,
    userCircle,
    user,
    videoCamera,
    check,
    closeCircle,
    copy,
    download,
    imageGallery,
    image,
    linkExternal,
    minus,
    pauseCircle,
    playCircle,
    plus,
    sort,
    sunny,
    cloudy,
    partlyCloudy,
    fog,
    windy,
    rain,
    thunderstorm,
    moon,
    fullMoon,
    calendar,
    clock,
    error,
    information,
    success,
    warning,
  };
  return (
    <>
      <InspectorControls>
        <PanelBody title={__("Settings", "ucla-wordpress-plugin")}>
          <SelectControl
            label={__("Select icon", "ucla-wordpress-plugin")}
            value={icon}
            onChange={onIconChange}
            options={iconSelectOption}
          />
          
        </PanelBody>
        <PanelBody title={__("Icon Color", "ucla-wordpress-plugin")}>
          <ColorPalette
              onChange={(color)=>onColorChange(color)}
              colors={colors}
              value={color}
          />
        </PanelBody>
      </InspectorControls>
      <div {...blockProps}>{icon && <Icon color={iconColor} icon={iconObj[icon]} />}</div>
    </>
  );
};

export default Edit;
