/**
 * React hook that is used to mark the block wrapper element.
 * It provides all the necessary props like the class name.
 *
 * @see https://developer.wordpress.org/block-editor/reference-guides/packages/packages-block-editor/#useblockprops
 */
import { useBlockProps } from "@wordpress/block-editor";

import { RichText } from "@wordpress/block-editor";

import "./style.scss";

const Save = ({ attributes }) => {
  const { ribbonVariant, ribbonContent } = attributes;
  const blockProps = useBlockProps.save({
    className: `ucla-ribbon ucla-ribbon--${ribbonVariant}`,
  });
  const className = blockProps.className;
  return (
    <div {...blockProps} className={className}>
      <RichText.Content
        className="ucla-ribbon__text"
        tagName={ribbonVariant === "brand" ? "h2" : "h3"}
        value={ribbonContent}
      />
    </div>
  );
};
export default Save;
