<?php
// Add aria-hidden to Video tag in Cover Block
function add_aria_hidden_to_cover_block_video( $block_content, $block ) {
  $p = new WP_HTML_Tag_Processor($block_content);
  if ($p->next_tag('video')) {
    $p->set_attribute('aria-hidden', 'true');
  }
  $block_content = $p->get_updated_html();

  // Checks if Cover Block is Video and adds button for control
  $block_content = preg_replace('/(<span[^>]*><\/span>)(<video[^>]*><\/video>)/i', '$1<button class="ucla__cover_button-control playing"><svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M9 16H11V8H9V16ZM12 2C6.48 2 2 6.48 2 12C2 17.52 6.48 22 12 22C17.52 22 22 17.52 22 12C22 6.48 17.52 2 12 2ZM12 20C7.59 20 4 16.41 4 12C4 7.59 7.59 4 12 4C16.41 4 20 7.59 20 12C20 16.41 16.41 20 12 20ZM13 16H15V8H13V16Z" fill="#FFFFFF"/></svg></button>$2', $block_content);
  
  
  return $block_content;
}
add_filter('render_block_core/cover', 'add_aria_hidden_to_cover_block_video', 10, 2);

function enqueue_video_control_script_if_cover_block($content="") {
  if (has_block('core/cover')) {
    wp_register_script(
      'ucla_cover_block_script',
      get_template_directory_uri() . '/assets/js/cover-block-video-control.js',
      array(),
      null,
      true
    );
    wp_enqueue_script('ucla_cover_block_script');
  }
}
add_action( 'enqueue_block_assets', 'enqueue_video_control_script_if_cover_block' );